Botan 1.10.17

Namespaces | Functions
numthry.cpp File Reference
`#include <botan/numthry.h>`
`#include <botan/reducer.h>`
`#include <botan/internal/mp_core.h>`
`#include <botan/internal/bit_ops.h>`
`#include <algorithm>`

Go to the source code of this file.

## Namespaces
| Botan

## Functions
BigInt | Botan::gcd (const BigInt &a, const BigInt &b)
BigInt | Botan::inverse_mod (const BigInt &n, const BigInt &mod)
BigInt | Botan::lcm (const BigInt &a, const BigInt &b)
size_t | Botan::low_zero_bits (const BigInt &n)
BigInt | Botan::power_mod (const BigInt &base, const BigInt &exp, const BigInt &mod)
bool | Botan::primality_test (const BigInt &n, RandomNumberGenerator &rng, size_t level)